Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IPointCurlFieldGeo

    java.lang.Object
      igeo.IFieldGeo
          igeo.IPointFieldGeo
              igeo.IPointCurlFieldGeo

All Implemented Interfaces:
  I3DFieldI, IFieldI

    public class IPointCurlFieldGeo

extends IPointFieldGeo

Curl field defined by a point and an axis vector.

Author:
  Satoru Sugihara

Nested Class Summary

Nested classes/interfaces inherited from class igeo.IFieldGeo
`IFieldGeo.Decay`

Field Summary

Fields inherited from class igeo.IPointFieldGeo
`dir, pos`

Fields inherited from class igeo.IFieldGeo
`bidirectional, constantIntensity, decay, intensity, threshold`

Constructor Summary
`IPointCurlFieldGeo(IVecI pos, IVecI axis)`

Method Summary
`IPointCurlFieldGeo` | `bidirectional(boolean b)` if bidirectional is on, field force vector is flipped when velocity of particle is going opposite
`IPointCurlFieldGeo` | `constantIntensity(boolean b)` if output vector is besed on constant length (intensity) or variable depending geometry when curve or surface tangent is used
`IPointCurlFieldGeo` | `gauss(double threshold)` alias of gaussianDecay
`IPointCurlFieldGeo` | `gaussian(double threshold)` alias of gaussianDecay
`IPointCurlFieldGeo` | `gaussianDecay(double threshold)` set Gaussian decay; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).
`IVecI` | `getForce(IVecI v, IVecI orig)` get original field value out of curve parameter u
`IPointCurlFieldGeo` | `intensity(double i)` set output intensity
`IPointCurlFieldGeo` | `linear(double threshold)` alias of linearDecay
`IPointCurlFieldGeo` | `linearDecay(double threshold)` set linear decay; When distance is equal to threshold, output is zero.
`IPointCurlFieldGeo` | `noDecay()` set no decay
`IPointCurlFieldGeo` | `threshold(double t)` set decay threshold

Methods inherited from class igeo.IPointFieldGeo
`del, dir, get, get, getForce, pos`

Methods inherited from class igeo.IFieldGeo
`decay, intensity, threshold`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface igeo.IFieldI
`intensity, threshold`

Constructor Detail

### IPointCurlFieldGeo

    public IPointCurlFieldGeo(IVecI pos,
                              IVecI axis)

Method Detail

### getForce

    public IVecI getForce(IVecI v,
                          IVecI orig)

  Description copied from class: `IPointFieldGeo`
  get original field value out of curve parameter u

  Overrides:
    `getForce` in class `IPointFieldGeo`

### noDecay

    public IPointCurlFieldGeo noDecay()

  Description copied from class: `IPointFieldGeo`
  set no decay

  Specified by:
    `noDecay` in interface `IFieldI`
  Overrides:
    `noDecay` in class `IPointFieldGeo`

### linearDecay

    public IPointCurlFieldGeo linearDecay(double threshold)

  Description copied from class: `IPointFieldGeo`
  set linear decay; When distance is equal to threshold, output is zero.

  Specified by:
    `linearDecay` in interface `IFieldI`
  Overrides:
    `linearDecay` in class `IPointFieldGeo`

### linear

    public IPointCurlFieldGeo linear(double threshold)

  Description copied from class: `IFieldGeo`
  alias of linearDecay

  Specified by:
    `linear` in interface `IFieldI`
  Overrides:
    `linear` in class `IPointFieldGeo`

### gaussianDecay

    public IPointCurlFieldGeo gaussianDecay(double threshold)

  Description copied from class: `IPointFieldGeo`
  set Gaussian decay; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).

  Specified by:
    `gaussianDecay` in interface `IFieldI`
  Overrides:
    `gaussianDecay` in class `IPointFieldGeo`

### gaussian

    public IPointCurlFieldGeo gaussian(double threshold)

  Description copied from class: `IFieldGeo`
  alias of gaussianDecay

  Specified by:
    `gaussian` in interface `IFieldI`
  Overrides:
    `gaussian` in class `IPointFieldGeo`

### gauss

    public IPointCurlFieldGeo gauss(double threshold)

  Description copied from class: `IFieldGeo`
  alias of gaussianDecay

  Specified by:
    `gauss` in interface `IFieldI`
  Overrides:
    `gauss` in class `IPointFieldGeo`

### constantIntensity

    public IPointCurlFieldGeo constantIntensity(boolean b)

  Description copied from class: `IFieldGeo`
  if output vector is besed on constant length (intensity) or variable depending geometry when curve or surface tangent is used

  Specified by:
    `constantIntensity` in interface `IFieldI`
  Overrides:
    `constantIntensity` in class `IFieldGeo`

### bidirectional

    public IPointCurlFieldGeo bidirectional(boolean b)

  if bidirectional is on, field force vector is flipped when velocity of particle is going opposite

  Specified by:
    `bidirectional` in interface `IFieldI`
  Overrides:
    `bidirectional` in class `IFieldGeo`

### threshold

    public IPointCurlFieldGeo threshold(double t)

  Description copied from class: `IFieldGeo`
  set decay threshold

  Specified by:
    `threshold` in interface `IFieldI`
  Overrides:
    `threshold` in class `IPointFieldGeo`

### intensity

    public IPointCurlFieldGeo intensity(double i)

  Description copied from class: `IFieldGeo`
  set output intensity

  Specified by:
    `intensity` in interface `IFieldI`
  Overrides:
    `intensity` in class `IPointFieldGeo`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD